Subject: Re: RFD: tables in documentation

From: Michael J Gruber <[email-masked]>
Date: Sun, 02 May 2010 21:23:56 +0200

Jonathan Nieder venit, vidit, dixit 02.05.2010 19:53:
> Hi Michael,
> 
> Michael J Gruber wrote:
>> Michael J Gruber venit, vidit, dixit 02.05.2010 17:08:
> 
>>> Further experimentation (editing the xml) indicates that with my
>>> toolchain, I can either shut off all borders (between cells as well as
>>> outer) or none.
> [...]
>> For completeness, it results in this:
>>
>>      I                H         M               Result
>>
>>  0   nothing          nothing   nothing         (does not happen)
>>
>>  1   nothing          nothing   exists          use M
>>
>>  2   nothing          exists    nothing         remove path from index
>>
>>  3   nothing          exists    exists, H ==M   use M if "initial
>>                                                 checkout", keep index
>>      exists, H != M             fail            otherwise
>>
>> [Same unealt rowspan issue, of course.]
> 
> For what it’s worth, except for the broken last row, I like this and
> find it readable.  It is too bad there is no way to make it more
> compact so more rows can fit on a screen or page.
> 
> The ideal, to delimit the header without appearing busy, would be to
> just have a thin horizontal rule separating the header from the
> remaining rows[1].  Vertical rules are almost never a good idea.
> Maybe frame="topbot",grid="none",options="header" would be a good
> approximation.

That looks nice in HTML (and produces the correct xml), but
unfortunately my docbook renders this as if I had frame="all",grid="all" :(

> 
> Jonathan
> 
> [1] Just my opinion.  I probably learned the aesthetic from Simon Fear.
> http://www.tex.ac.uk/cgi-bin/texfaq2html?label=destable